package intrinsic.mx.utils;

public class XMLNotifier extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLNotifier() {
}

public XMLNotifier(Object arg0) {
}


/** Static Methods */
public static native intrinsic.mx.utils.XMLNotifier getInstance();
public static native intrinsic.Function initializeXMLForNotification(intrinsic.XML arg0);

/** Methods */
public native void watchXML(Object arg0, intrinsic.mx.utils.IXMLNotifiable arg1);
public native void unwatchXML(Object arg0, intrinsic.mx.utils.IXMLNotifiable arg1);

}
